Git Inbox Mirror of the ffmpeg-devel mailing list - see https://ffmpeg.org/mailman/listinfo/ffmpeg-devel
 help / color / mirror / Atom feed
* [FFmpeg-devel] [PATCH 1/4] tests/fate/vcodec: drop unnecessary options
@ 2022-05-20  9:36 Anton Khirnov
  2022-05-20  9:36 ` [FFmpeg-devel] [PATCH 2/4] tests/fate-run: give consistent names to enc_dec() arguments Anton Khirnov
                   ` (4 more replies)
  0 siblings, 5 replies; 6+ messages in thread
From: Anton Khirnov @ 2022-05-20  9:36 UTC (permalink / raw)
  To: ffmpeg-devel

jpeg2000 will be chosen by default, there is no reason to prescribe it
explicitly. No other test does so.
---
 tests/fate/vcodec.mak | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

diff --git a/tests/fate/vcodec.mak b/tests/fate/vcodec.mak
index 3c9b7f1ff7..c19fb8633a 100644
--- a/tests/fate/vcodec.mak
+++ b/tests/fate/vcodec.mak
@@ -6,7 +6,7 @@ fate-vsynth%: CODEC = $(word 3, $(subst -, ,$(@)))
 fate-vsynth%: FMT = avi
 fate-vsynth%: DEFAULT_SIZE = -s 352x288
 fate-vsynth3-%: DEFAULT_SIZE = -s $(FATEW)x$(FATEH)
-fate-vsynth%: CMD = enc_dec "rawvideo $(DEFAULT_SIZE) -pix_fmt yuv420p $(RAWDECOPTS)" $(SRC) $(FMT) "-c $(CODEC) $(ENCOPTS)" rawvideo "-pix_fmt yuv420p -vsync passthrough $(DECOPTS)" "$(DECINOPTS)"
+fate-vsynth%: CMD = enc_dec "rawvideo $(DEFAULT_SIZE) -pix_fmt yuv420p $(RAWDECOPTS)" $(SRC) $(FMT) "-c $(CODEC) $(ENCOPTS)" rawvideo "-pix_fmt yuv420p -vsync passthrough $(DECOPTS)"
 fate-vsynth%: CMP_UNIT = 1
 fate-vsynth%: REF = $(SRC_PATH)/tests/ref/vsynth/$(@:fate-%=%)
 
@@ -218,9 +218,7 @@ fate-vsynth%-jpegls:             DECOPTS = -sws_flags area
 
 FATE_VCODEC_SCALE-$(call ENCDEC, JPEG2000, AVI) += jpeg2000 jpeg2000-97
 fate-vsynth%-jpeg2000:                ENCOPTS = -qscale 7 -strict experimental -pred 1 -pix_fmt rgb24
-fate-vsynth%-jpeg2000:                DECINOPTS = -c:v jpeg2000
 fate-vsynth%-jpeg2000-97:             ENCOPTS = -qscale 7 -strict experimental -pix_fmt rgb24
-fate-vsynth%-jpeg2000-97:             DECINOPTS = -c:v jpeg2000
 
 FATE_VCODEC-$(call ENCDEC, LJPEG MJPEG, AVI) += ljpeg
 fate-vsynth%-ljpeg:              ENCOPTS = -strict -1
-- 
2.34.1

_______________________________________________
ffmpeg-devel mailing list
ffmpeg-devel@ffmpeg.org
https://ffmpeg.org/mailman/listinfo/ffmpeg-devel

To unsubscribe, visit link above, or email
ffmpeg-devel-request@ffmpeg.org with subject "unsubscribe".

^ permalink raw reply	[flat|nested] 6+ messages in thread

* [FFmpeg-devel] [PATCH 2/4] tests/fate-run: give consistent names to enc_dec() arguments
  2022-05-20  9:36 [FFmpeg-devel] [PATCH 1/4] tests/fate/vcodec: drop unnecessary options Anton Khirnov
@ 2022-05-20  9:36 ` Anton Khirnov
  2022-05-20  9:36 ` [FFmpeg-devel] [PATCH 3/4] fftools/ffmpeg: fix 2pass log file names Anton Khirnov
                   ` (3 subsequent siblings)
  4 siblings, 0 replies; 6+ messages in thread
From: Anton Khirnov @ 2022-05-20  9:36 UTC (permalink / raw)
  To: ffmpeg-devel

enc_dec() performs two ffmpeg runs - the first one encoding a source
file into a specified output format, the second one decoding previously
encoded file.

The arguments to this function currently have confusing names - e.g.
dec_opt contains _output_ (i.e. encoding) options for the second
(decoding) ffmpeg invocation. It is also possible to supply _input_
(i.e. decoding) options for the second ffmpeg run, but the argument
is currently unnamed and referred to by number.

Add an _in/_out suffix to argument names to make it clear what they are
used for. Give a name to input options for the decoding ffmpeg run.
---
 tests/fate-run.sh | 23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 7e3457b3ba..6501dea8f8 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -199,26 +199,27 @@ DEC_OPTS="-threads $threads -thread_type $thread_type -idct simple $FLAGS"
 ENC_OPTS="-threads 1        -idct simple -dct fastint"
 
 enc_dec(){
-    src_fmt=$1
+    enc_fmt_in=$1
     srcfile=$2
-    enc_fmt=$3
-    enc_opt=$4
-    dec_fmt=$5
-    dec_opt=$6
+    enc_fmt_out=$3
+    enc_opt_out=$4
+    dec_fmt_out=$5
+    dec_opt_out=$6
+    dec_opt_in=$7
     ffprobe_opts=$8
-    encfile="${outdir}/${test}.${enc_fmt}"
-    decfile="${outdir}/${test}.out.${dec_fmt}"
+    encfile="${outdir}/${test}.${enc_fmt_out}"
+    decfile="${outdir}/${test}.out.${dec_fmt_out}"
     cleanfiles="$cleanfiles $decfile"
     test "$keep" -ge 1 || cleanfiles="$cleanfiles $encfile"
     tsrcfile=$(target_path $srcfile)
     tencfile=$(target_path $encfile)
     tdecfile=$(target_path $decfile)
-    ffmpeg -auto_conversion_filters -f $src_fmt $DEC_OPTS -i $tsrcfile $ENC_OPTS $enc_opt $FLAGS \
-        -f $enc_fmt -y $tencfile || return
+    ffmpeg -auto_conversion_filters -f $enc_fmt_in $DEC_OPTS -i $tsrcfile $ENC_OPTS $enc_opt_out $FLAGS \
+        -f $enc_fmt_out -y $tencfile || return
     do_md5sum $encfile
     echo $(wc -c $encfile)
-    ffmpeg -auto_conversion_filters $7 $DEC_OPTS -i $tencfile $ENC_OPTS $dec_opt $FLAGS \
-        -f $dec_fmt -y $tdecfile || return
+    ffmpeg -auto_conversion_filters $dec_opt_in $DEC_OPTS -i $tencfile $ENC_OPTS $dec_opt_out $FLAGS \
+        -f $dec_fmt_out -y $tdecfile || return
     do_md5sum $decfile
     tests/tiny_psnr${HOSTEXECSUF} $srcfile $decfile $cmp_unit $cmp_shift
     test -z $ffprobe_opts || \
-- 
2.34.1

_______________________________________________
ffmpeg-devel mailing list
ffmpeg-devel@ffmpeg.org
https://ffmpeg.org/mailman/listinfo/ffmpeg-devel

To unsubscribe, visit link above, or email
ffmpeg-devel-request@ffmpeg.org with subject "unsubscribe".

^ permalink raw reply	[flat|nested] 6+ messages in thread

* [FFmpeg-devel] [PATCH 3/4] fftools/ffmpeg: fix 2pass log file names
  2022-05-20  9:36 [FFmpeg-devel] [PATCH 1/4] tests/fate/vcodec: drop unnecessary options Anton Khirnov
  2022-05-20  9:36 ` [FFmpeg-devel] [PATCH 2/4] tests/fate-run: give consistent names to enc_dec() arguments Anton Khirnov
@ 2022-05-20  9:36 ` Anton Khirnov
  2022-05-20  9:36 ` [FFmpeg-devel] [PATCH 4/4] tests/fate/vcodec: add tests for ffv1 2pass mode Anton Khirnov
                   ` (2 subsequent siblings)
  4 siblings, 0 replies; 6+ messages in thread
From: Anton Khirnov @ 2022-05-20  9:36 UTC (permalink / raw)
  To: ffmpeg-devel

Use the global stream index rather than an unrelated variable in the
filename.

Broken in 6d5d9246042.
---
 fftools/ffmpeg_opt.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/fftools/ffmpeg_opt.c b/fftools/ffmpeg_opt.c
index 47e8b9b7bd..c719bc2d0a 100644
--- a/fftools/ffmpeg_opt.c
+++ b/fftools/ffmpeg_opt.c
@@ -1867,7 +1867,7 @@ static OutputStream *new_video_stream(OptionsContext *o, AVFormatContext *oc, in
             snprintf(logfilename, sizeof(logfilename), "%s-%d.log",
                      ost->logfile_prefix ? ost->logfile_prefix :
                                            DEFAULT_PASS_LOGFILENAME_PREFIX,
-                     i);
+                     nb_output_streams - 1);
             if (!strcmp(ost->enc->name, "libx264")) {
                 av_dict_set(&ost->encoder_opts, "stats", logfilename, AV_DICT_DONT_OVERWRITE);
             } else {
-- 
2.34.1

_______________________________________________
ffmpeg-devel mailing list
ffmpeg-devel@ffmpeg.org
https://ffmpeg.org/mailman/listinfo/ffmpeg-devel

To unsubscribe, visit link above, or email
ffmpeg-devel-request@ffmpeg.org with subject "unsubscribe".

^ permalink raw reply	[flat|nested] 6+ messages in thread

* [FFmpeg-devel] [PATCH 4/4] tests/fate/vcodec: add tests for ffv1 2pass mode
  2022-05-20  9:36 [FFmpeg-devel] [PATCH 1/4] tests/fate/vcodec: drop unnecessary options Anton Khirnov
  2022-05-20  9:36 ` [FFmpeg-devel] [PATCH 2/4] tests/fate-run: give consistent names to enc_dec() arguments Anton Khirnov
  2022-05-20  9:36 ` [FFmpeg-devel] [PATCH 3/4] fftools/ffmpeg: fix 2pass log file names Anton Khirnov
@ 2022-05-20  9:36 ` Anton Khirnov
  2022-05-20 10:17 ` [FFmpeg-devel] [PATCH 1/4] tests/fate/vcodec: drop unnecessary options Andreas Rheinhardt
  2022-05-24 11:58 ` Anton Khirnov
  4 siblings, 0 replies; 6+ messages in thread
From: Anton Khirnov @ 2022-05-20  9:36 UTC (permalink / raw)
  To: ffmpeg-devel

---
 tests/fate-run.sh                       | 12 ++++++++++++
 tests/fate/vcodec.mak                   |  7 +++++--
 tests/ref/vsynth/vsynth1-ffv1-2pass     |  4 ++++
 tests/ref/vsynth/vsynth2-ffv1-2pass     |  4 ++++
 tests/ref/vsynth/vsynth3-ffv1-2pass     |  4 ++++
 tests/ref/vsynth/vsynth_lena-ffv1-2pass |  4 ++++
 6 files changed, 33 insertions(+), 2 deletions(-)
 create mode 100644 tests/ref/vsynth/vsynth1-ffv1-2pass
 create mode 100644 tests/ref/vsynth/vsynth2-ffv1-2pass
 create mode 100644 tests/ref/vsynth/vsynth3-ffv1-2pass
 create mode 100644 tests/ref/vsynth/vsynth_lena-ffv1-2pass

diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 6501dea8f8..525e8e5499 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -207,6 +207,7 @@ enc_dec(){
     dec_opt_out=$6
     dec_opt_in=$7
     ffprobe_opts=$8
+    twopass=$9
     encfile="${outdir}/${test}.${enc_fmt_out}"
     decfile="${outdir}/${test}.out.${dec_fmt_out}"
     cleanfiles="$cleanfiles $decfile"
@@ -214,6 +215,17 @@ enc_dec(){
     tsrcfile=$(target_path $srcfile)
     tencfile=$(target_path $encfile)
     tdecfile=$(target_path $decfile)
+
+    if [ -n "$twopass" ]; then
+        logfile_prefix="${outdir}/${test}.pass1"
+        cleanfiles="$cleanfiles ${logfile_prefix}-0.log"
+        tlogfile_prefix=$(target_path $logfile_prefix)
+        ffmpeg -auto_conversion_filters -f $enc_fmt_in $DEC_OPTS -i $tsrcfile  \
+            $ENC_OPTS $enc_opt_out $FLAGS -pass 1 -passlogfile $tlogfile_prefix \
+            -f $enc_fmt_out -y $tencfile || return
+        enc_opt_out="$enc_opt_out -pass 2 -passlogfile $tlogfile_prefix"
+    fi
+
     ffmpeg -auto_conversion_filters -f $enc_fmt_in $DEC_OPTS -i $tsrcfile $ENC_OPTS $enc_opt_out $FLAGS \
         -f $enc_fmt_out -y $tencfile || return
     do_md5sum $encfile
diff --git a/tests/fate/vcodec.mak b/tests/fate/vcodec.mak
index c19fb8633a..8ca17950ea 100644
--- a/tests/fate/vcodec.mak
+++ b/tests/fate/vcodec.mak
@@ -6,7 +6,7 @@ fate-vsynth%: CODEC = $(word 3, $(subst -, ,$(@)))
 fate-vsynth%: FMT = avi
 fate-vsynth%: DEFAULT_SIZE = -s 352x288
 fate-vsynth3-%: DEFAULT_SIZE = -s $(FATEW)x$(FATEH)
-fate-vsynth%: CMD = enc_dec "rawvideo $(DEFAULT_SIZE) -pix_fmt yuv420p $(RAWDECOPTS)" $(SRC) $(FMT) "-c $(CODEC) $(ENCOPTS)" rawvideo "-pix_fmt yuv420p -vsync passthrough $(DECOPTS)"
+fate-vsynth%: CMD = enc_dec "rawvideo $(DEFAULT_SIZE) -pix_fmt yuv420p $(RAWDECOPTS)" $(SRC) $(FMT) "-c $(CODEC) $(ENCOPTS)" rawvideo "-pix_fmt yuv420p -vsync passthrough $(DECOPTS)" "" "" ${TWOPASS}
 fate-vsynth%: CMP_UNIT = 1
 fate-vsynth%: REF = $(SRC_PATH)/tests/ref/vsynth/$(@:fate-%=%)
 
@@ -155,7 +155,8 @@ $(FATE_VCODEC_DV:%=fate-vsynth\%-%): FMT      = dv
 $(FATE_VCODEC_DV:%=fate-vsynth\%-%): DECOPTS += $(DEFAULT_SIZE)
 
 FATE_VCODEC-$(call ENCDEC, FFV1, AVI)   += ffv1 ffv1-v0 \
-                                           ffv1-v3-yuv420p
+                                           ffv1-v3-yuv420p \
+                                           ffv1-2pass
 FATE_VCODEC_SCALE-$(call ENCDEC, FFV1, AVI) += ffv1-v3-yuv422p10 ffv1-v3-yuv444p16 \
                                                ffv1-v3-bgr0 ffv1-v3-rgb48
 fate-vsynth%-ffv1:               ENCOPTS = -slices 4
@@ -173,6 +174,8 @@ fate-vsynth%-ffv1-v3-bgr0:       DECOPTS = -sws_flags neighbor+bitexact
 fate-vsynth%-ffv1-v3-rgb48:      ENCOPTS = -level 3 -pix_fmt rgb48 -strict -2 \
                                            -sws_flags neighbor+bitexact
 fate-vsynth%-ffv1-v3-rgb48:      DECOPTS = -sws_flags neighbor+bitexact
+fate-vsynth%-ffv1-2pass:         TWOPASS = 1
+fate-vsynth%-ffv1-2pass:         ENCOPTS = -coder range_tab -context 1
 
 FATE_VCODEC-$(call ENCDEC, FFVHUFF, AVI) += ffvhuff
 FATE_VCODEC_SCALE-$(call ENCDEC, FFVHUFF, AVI) += ffvhuff444 ffvhuff420p12 ffvhuff422p10left ffvhuff444p16
diff --git a/tests/ref/vsynth/vsynth1-ffv1-2pass b/tests/ref/vsynth/vsynth1-ffv1-2pass
new file mode 100644
index 0000000000..c27c9691d2
--- /dev/null
+++ b/tests/ref/vsynth/vsynth1-ffv1-2pass
@@ -0,0 +1,4 @@
+7332cfda96233acc7178b09868c07ad7 *tests/data/fate/vsynth1-ffv1-2pass.avi
+2382244 tests/data/fate/vsynth1-ffv1-2pass.avi
+c5ccac874dbf808e9088bc3107860042 *tests/data/fate/vsynth1-ffv1-2pass.out.rawvideo
+stddev:    0.00 PSNR:999.99 MAXDIFF:    0 bytes:  7603200/  7603200
diff --git a/tests/ref/vsynth/vsynth2-ffv1-2pass b/tests/ref/vsynth/vsynth2-ffv1-2pass
new file mode 100644
index 0000000000..26c20db24d
--- /dev/null
+++ b/tests/ref/vsynth/vsynth2-ffv1-2pass
@@ -0,0 +1,4 @@
+2f5af924c6f7de1d4c34ec2dc9fca4ac *tests/data/fate/vsynth2-ffv1-2pass.avi
+3530664 tests/data/fate/vsynth2-ffv1-2pass.avi
+36d7ca943916e1743cefa609eba0205c *tests/data/fate/vsynth2-ffv1-2pass.out.rawvideo
+stddev:    0.00 PSNR:999.99 MAXDIFF:    0 bytes:  7603200/  7603200
diff --git a/tests/ref/vsynth/vsynth3-ffv1-2pass b/tests/ref/vsynth/vsynth3-ffv1-2pass
new file mode 100644
index 0000000000..dd0fd615f4
--- /dev/null
+++ b/tests/ref/vsynth/vsynth3-ffv1-2pass
@@ -0,0 +1,4 @@
+5b658e65541539248035c17da5eada3a *tests/data/fate/vsynth3-ffv1-2pass.avi
+53522 tests/data/fate/vsynth3-ffv1-2pass.avi
+a038ad7c3c09f776304ef7accdea9c74 *tests/data/fate/vsynth3-ffv1-2pass.out.rawvideo
+stddev:    0.00 PSNR:999.99 MAXDIFF:    0 bytes:    86700/    86700
diff --git a/tests/ref/vsynth/vsynth_lena-ffv1-2pass b/tests/ref/vsynth/vsynth_lena-ffv1-2pass
new file mode 100644
index 0000000000..9ece86aaa3
--- /dev/null
+++ b/tests/ref/vsynth/vsynth_lena-ffv1-2pass
@@ -0,0 +1,4 @@
+2e1833cf75da113a6fabbaae07ddd455 *tests/data/fate/vsynth_lena-ffv1-2pass.avi
+3490450 tests/data/fate/vsynth_lena-ffv1-2pass.avi
+dde5895817ad9d219f79a52d0bdfb001 *tests/data/fate/vsynth_lena-ffv1-2pass.out.rawvideo
+stddev:    0.00 PSNR:999.99 MAXDIFF:    0 bytes:  7603200/  7603200
-- 
2.34.1

_______________________________________________
ffmpeg-devel mailing list
ffmpeg-devel@ffmpeg.org
https://ffmpeg.org/mailman/listinfo/ffmpeg-devel

To unsubscribe, visit link above, or email
ffmpeg-devel-request@ffmpeg.org with subject "unsubscribe".

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [FFmpeg-devel] [PATCH 1/4] tests/fate/vcodec: drop unnecessary options
  2022-05-20  9:36 [FFmpeg-devel] [PATCH 1/4] tests/fate/vcodec: drop unnecessary options Anton Khirnov
                   ` (2 preceding siblings ...)
  2022-05-20  9:36 ` [FFmpeg-devel] [PATCH 4/4] tests/fate/vcodec: add tests for ffv1 2pass mode Anton Khirnov
@ 2022-05-20 10:17 ` Andreas Rheinhardt
  2022-05-24 11:58 ` Anton Khirnov
  4 siblings, 0 replies; 6+ messages in thread
From: Andreas Rheinhardt @ 2022-05-20 10:17 UTC (permalink / raw)
  To: ffmpeg-devel

Anton Khirnov:
> jpeg2000 will be chosen by default, there is no reason to prescribe it
> explicitly. No other test does so.
> ---
>  tests/fate/vcodec.mak | 4 +---
>  1 file changed, 1 insertion(+), 3 deletions(-)
> 
> diff --git a/tests/fate/vcodec.mak b/tests/fate/vcodec.mak
> index 3c9b7f1ff7..c19fb8633a 100644
> --- a/tests/fate/vcodec.mak
> +++ b/tests/fate/vcodec.mak
> @@ -6,7 +6,7 @@ fate-vsynth%: CODEC = $(word 3, $(subst -, ,$(@)))
>  fate-vsynth%: FMT = avi
>  fate-vsynth%: DEFAULT_SIZE = -s 352x288
>  fate-vsynth3-%: DEFAULT_SIZE = -s $(FATEW)x$(FATEH)
> -fate-vsynth%: CMD = enc_dec "rawvideo $(DEFAULT_SIZE) -pix_fmt yuv420p $(RAWDECOPTS)" $(SRC) $(FMT) "-c $(CODEC) $(ENCOPTS)" rawvideo "-pix_fmt yuv420p -vsync passthrough $(DECOPTS)" "$(DECINOPTS)"
> +fate-vsynth%: CMD = enc_dec "rawvideo $(DEFAULT_SIZE) -pix_fmt yuv420p $(RAWDECOPTS)" $(SRC) $(FMT) "-c $(CODEC) $(ENCOPTS)" rawvideo "-pix_fmt yuv420p -vsync passthrough $(DECOPTS)"
>  fate-vsynth%: CMP_UNIT = 1
>  fate-vsynth%: REF = $(SRC_PATH)/tests/ref/vsynth/$(@:fate-%=%)
>  
> @@ -218,9 +218,7 @@ fate-vsynth%-jpegls:             DECOPTS = -sws_flags area
>  
>  FATE_VCODEC_SCALE-$(call ENCDEC, JPEG2000, AVI) += jpeg2000 jpeg2000-97
>  fate-vsynth%-jpeg2000:                ENCOPTS = -qscale 7 -strict experimental -pred 1 -pix_fmt rgb24
> -fate-vsynth%-jpeg2000:                DECINOPTS = -c:v jpeg2000
>  fate-vsynth%-jpeg2000-97:             ENCOPTS = -qscale 7 -strict experimental -pix_fmt rgb24
> -fate-vsynth%-jpeg2000-97:             DECINOPTS = -c:v jpeg2000
>  
>  FATE_VCODEC-$(call ENCDEC, LJPEG MJPEG, AVI) += ljpeg
>  fate-vsynth%-ljpeg:              ENCOPTS = -strict -1

LGTM.

- Andreas
_______________________________________________
ffmpeg-devel mailing list
ffmpeg-devel@ffmpeg.org
https://ffmpeg.org/mailman/listinfo/ffmpeg-devel

To unsubscribe, visit link above, or email
ffmpeg-devel-request@ffmpeg.org with subject "unsubscribe".

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [FFmpeg-devel] [PATCH 1/4] tests/fate/vcodec: drop unnecessary options
  2022-05-20  9:36 [FFmpeg-devel] [PATCH 1/4] tests/fate/vcodec: drop unnecessary options Anton Khirnov
                   ` (3 preceding siblings ...)
  2022-05-20 10:17 ` [FFmpeg-devel] [PATCH 1/4] tests/fate/vcodec: drop unnecessary options Andreas Rheinhardt
@ 2022-05-24 11:58 ` Anton Khirnov
  4 siblings, 0 replies; 6+ messages in thread
From: Anton Khirnov @ 2022-05-24 11:58 UTC (permalink / raw)
  To: FFmpeg development discussions and patches

set pushed

-- 
Anton Khirnov
_______________________________________________
ffmpeg-devel mailing list
ffmpeg-devel@ffmpeg.org
https://ffmpeg.org/mailman/listinfo/ffmpeg-devel

To unsubscribe, visit link above, or email
ffmpeg-devel-request@ffmpeg.org with subject "unsubscribe".

^ permalink raw reply	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2022-05-24 11:59 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2022-05-20  9:36 [FFmpeg-devel] [PATCH 1/4] tests/fate/vcodec: drop unnecessary options Anton Khirnov
2022-05-20  9:36 ` [FFmpeg-devel] [PATCH 2/4] tests/fate-run: give consistent names to enc_dec() arguments Anton Khirnov
2022-05-20  9:36 ` [FFmpeg-devel] [PATCH 3/4] fftools/ffmpeg: fix 2pass log file names Anton Khirnov
2022-05-20  9:36 ` [FFmpeg-devel] [PATCH 4/4] tests/fate/vcodec: add tests for ffv1 2pass mode Anton Khirnov
2022-05-20 10:17 ` [FFmpeg-devel] [PATCH 1/4] tests/fate/vcodec: drop unnecessary options Andreas Rheinhardt
2022-05-24 11:58 ` Anton Khirnov

Git Inbox Mirror of the ffmpeg-devel mailing list - see https://ffmpeg.org/mailman/listinfo/ffmpeg-devel

This inbox may be cloned and mirrored by anyone:

	git clone --mirror https://master.gitmailbox.com/ffmpegdev/0 ffmpegdev/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 ffmpegdev ffmpegdev/ https://master.gitmailbox.com/ffmpegdev \
		ffmpegdev@gitmailbox.com
	public-inbox-index ffmpegdev

Example config snippet for mirrors.


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git